netsnmp_handler_registration_s(3)

NAME
netsnmp_handler_registration_s -

Root registration info.

SYNOPSIS

#include <agent_handler.h>

  Data Fields
char * handlerName
for mrTable listings, and other uses
char * contextName
NULL = default context.
oid * rootoid
where are we registered at?
size_t rootoid_len
netsnmp_mib_handler * handler
handler details
int modes
int priority
more optional stuff
int range_subid
oid range_ubound
int timeout
int global_cacheid
void * my_reg_void
void ptr for registeree

Detailed Description

Root registration info. The variables handlerName, contextName, and rootoid need to be allocated on the heap, when the registration structure is unregistered using unregister_mib_context() the code attempts to free them.

Examples:

delayed_instance.c, and watched.c.

Definition at line 95 of file agent_handler.h.

Field Documentation

  char* netsnmp_handler_registration_s::contextName

NULL = default context.

Definition at line 100 of file agent_handler.h.

  netsnmp_mib_handler* netsnmp_handler_registration_s::handler

handler details

Definition at line 111 of file agent_handler.h.

  char* netsnmp_handler_registration_s::handlerName

for mrTable listings, and other uses

Definition at line 98 of file agent_handler.h.

  void* netsnmp_handler_registration_s::my_reg_void

void ptr for registeree

Definition at line 126 of file agent_handler.h.

  int netsnmp_handler_registration_s::priority

more optional stuff

Definition at line 117 of file agent_handler.h.

  oid* netsnmp_handler_registration_s::rootoid

where are we registered at?

Definition at line 105 of file agent_handler.h.

Author

Generated automatically by Doxygen for net-snmp from the source code.